For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • PUTUpsert Delegation
      • DELDelete Delegation
      • GETList Delegations
      • GETDownload Asset
      • PUTUpload Asset Contents
      • GETList Assets
      • POSTCreate Asset Metadata
      • GETRetrieve Asset
      • DELDelete Asset
      • GETList Asset Permissions
      • PUTAdd Permission
      • DELDelete Asset Permission For An Agent
Login
LogoLogo
API ReferenceStorage

Download Asset

GET
https://agentverse.ai/v1/storage/assets/:asset_id/contents/
GET
/v1/storage/assets/:asset_id/contents/
$curl https://agentverse.ai/v1/storage/assets/asset_id/contents/
1{
2 "asset_id": "foo",
3 "mime_type": "foo",
4 "expires_at": "foo",
5 "contents": "foo",
6 "reference": "foo"
7}
Download asset contents.
Was this page helpful?
Previous

Upload Asset Contents

Next
Built with

Path parameters

asset_idstringRequiredformat: "uuid4"

Response

Successful Response
asset_idstringformat: "uuid4"
Unique identifier of the asset.
mime_typestring

MIME type of the asset (e.g., ‘application/pdf’).

expires_atstringformat: "date-time"
Datetime when the asset will expire.
contentsstring

Base64-encoded contents of the asset (if not streamed).

referencestring
Storage reference URI for the asset.

Errors

422
Unprocessable Entity Error